# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "antissrf"
version = "0.1.1"
authors = ["whiteberets.eth <finn79426@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust implementation of Microsoft AntiSSRF"
readme = "README.md"
license = "MIT"
repository = "https://github.com/finn79426/AntiSSRF-rs"

[features]
default = ["reqwest-integration"]
reqwest-integration = [
    "dep:reqwest",
    "dep:reqwest-middleware",
    "dep:async-trait",
    "dep:tokio",
    "dep:http",
]

[lib]
name = "antissrf"
path = "src/lib.rs"

[[test]]
name = "integration_bypass_test"
path = "tests/integration_bypass_test.rs"

[[test]]
name = "ssrf_payload_test"
path = "tests/ssrf_payload_test.rs"

[dependencies.async-trait]
version = "0.1.89"
optional = true

[dependencies.http]
version = "1.4.1"
optional = true

[dependencies.ipnetwork]
version = "0.21.1"

[dependencies.reqwest]
version = "0.13.4"
optional = true

[dependencies.reqwest-middleware]
version = "0.5.2"
optional = true

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.52.3"
features = [
    "rt-multi-thread",
    "macros",
]
optional = true

[dependencies.url]
version = "2.5.8"

[dev-dependencies.mockito]
version = "1.7.2"

[dev-dependencies.tokio]
version = "1.52.3"
features = [
    "rt-multi-thread",
    "macros",
]
